KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataLod Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble.GeoDataLod

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataLod other)
float | maxFadeExtent (self)
float | maxLodPixels (self)
float | minFadeExtent (self)
float | minLodPixels (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| setMaxFadeExtent (self, float pixels)
| setMaxLodPixels (self, float pixels)
| setMinFadeExtent (self, float pixels)
| setMinLodPixels (self, float pixels)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataLod | other
| ) |  |  |

float maxFadeExtent | ( |  | self ) |

float maxLodPixels | ( |  | self ) |

float minFadeExtent | ( |  | self ) |

float minLodPixels | ( |  | self ) |

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setMaxFadeExtent | ( | self, |
|  | float | pixels
| ) |  |  |

setMaxLodPixels | ( | self, |
|  | float | pixels
| ) |  |  |

setMinFadeExtent | ( | self, |
|  | float | pixels
| ) |  |  |

setMinLodPixels | ( | self, |
|  | float | pixels
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |